


const searchNick = (e) => {
    const nameElems = document.querySelector('.nickler').querySelectorAll('.isim');
    const textElem = document.querySelector('#nickara');
    const text = textElem.value;


    if (e.key == 'Enter') {
        nameElems.forEach((elem) => {
            if (elem.innerHTML.toLocaleLowerCase().includes(text.toLocaleLowerCase())) {
                elem.parentElement.style.display = 'flex'
            } else {
                elem.parentElement.style.display = 'none'

            }
        })
    }

}
const cogClick = (elem) => {

    if (elem.classList.contains('active')) {
        elem.classList.remove('active');
    } else {
        elem.classList.add('active');
    }
}

const windowsMenu = document.querySelector('.mobilbars');
const windowsElement = document.querySelector('.pencereler');
const usersElement = document.querySelector('.users');
const closeWindowBtn = document.querySelector('.closewindow');

const close = () => {
    if (windowsElement && usersElement) {
        windowsElement.style.left = '-2000px';
    }
}
const openWindows = () => {
    if (windowsElement && usersElement) {
        windowsElement.style.display = 'flex';
        windowsElement.style.left = '0px';
    }

}
windowsMenu.addEventListener('click', openWindows)
closeWindowBtn.addEventListener('click', close);




const changeTheme = (theme) => {
    const bodyelement = document.querySelector('body')
    if (bodyelement) {
        bodyelement.classList.forEach((cl) => {
            bodyelement.classList.remove(cl);
        })
        bodyelement.classList.add(theme)
    }

}


const nicks = document.querySelector('.nickler');

const openNicks = () => {
    if (nicks) {
        nicks.style.right = '0px';
    }
}
const closeNicks = () => {
    if (nicks) {
        nicks.style.right = '1000px';
    }
}

const config = { childList: true };

const ozellerTargetNode = document.querySelector('.ozeller');
const ozellerObserver = new MutationObserver(() => {
    const names = document.querySelectorAll('.ozelname');
    names.forEach(el => {
        if (window.document.documentElement.clientWidth < 768) {
            el.addEventListener('click', close)
        }
    })
})
if (ozellerTargetNode) {
    ozellerObserver.observe(ozellerTargetNode, config);
}


const channelsTargetNode = document.querySelector('.kanallar');
const channelsObserver = new MutationObserver(() => {
    const channels = document.querySelectorAll('.kanal');
    channels.forEach((el) => {
        if (window.document.documentElement.clientWidth < 768) {
            el.addEventListener('click', close)
        }
    })
})

if (channelsTargetNode) {
    channelsObserver.observe(channelsTargetNode, config);
}


window.addEventListener('DOMContentLoaded', () => {
    const ozels = document.querySelectorAll('.ozel');
    ozels.forEach(el => {
        el.addEventListener('click', close);
    })

    const userClose = document.querySelector('.kullaniciackapat');
    let closed = false;
    userClose.addEventListener('click', () => {
        const ozelSetting = document.querySelector('.kullanicimenu ul');
        ozelSetting.style.right = closed ? '30px' : '1000px';
        closed = !closed;
    });
    let timeout;
    const interval = setInterval(() => {

        const domNicks = document.querySelectorAll('.kanal li.nick');
        if (domNicks.length > 0) {

            const rightClickEvent = new MouseEvent("contextmenu", {
                bubbles: true,
                cancelable: true,
                view: window,
                button: 2 // 2, sağ tıklama için kullanılan düğme kodudur
            });


            domNicks.forEach(elem => {
                const nickAttr = elem.getAttribute('nick');
                const clickrumuz = document.querySelector('.clickrumuz');
                clickrumuz.innerHTML = nickAttr;
                const contextMenu = document.getElementById('contextMenu');
                const contextButton = contextMenu.querySelector('ul li.menu-item[value="ozel"]');

                elem.addEventListener('click', async () => {
                    if (window.document.documentElement.clientWidth < 768) {
                        closeNicks();
                        elem.dispatchEvent(rightClickEvent);
                        setTimeout(() => {
                            contextButton.click();
                        }, 100);
                    }
                });
            })
            if (!timeout) {
                timeout = setTimeout(() => {
                    clearInterval(interval);
                }, 1000);
            }
        }
    }, 200)
    const chatContainer = document.querySelector('.ozeller');
    const msgChatContainer = document.querySelector('.users .msg');

})

